%define name getmail
%define version 4.7.2
%define release %mkrel 1

Name:		%{name}
Summary:	POP3 mail retriever with reliable Maildir delivery
Version:	%{version}
Release:	%{release}

License:	GPL
Group:		Networking/Mail
URL:		http://pyropus.ca/software/getmail/
Source:		http://pyropus.ca/software/getmail/old-versions/%{name}-%{version}.tar.bz2
Requires:	python
BuildRequires:  python-devel 
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
getmail is intended as a simple replacement for fetchmail for those people
who do not need its various and sundry configuration options, complexities,
and bugs.  It retrieves mail from one or more POP3 servers for one or more
email accounts, and reliably delivers into a Maildir specified on a
per-account basis.  It can also deliver into mbox files, although this
should not be attempted over NFS.  getmail is written entirely in python.


%prep

%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{py_puresitedir}/getmailcore/
%{py_puresitedir}/*.egg-info
%_bindir/getmail*
%_mandir/man1/*


%changelog
* Wed Feb 21 2007 Lenny Cartier <lenny@mandriva.com> 4.7.2-1mdv2007.0
+ Revision: 123707
- Update to 4.7.2

* Tue Feb 06 2007 Lenny Cartier <lenny@mandriva.com> 4.7.1-1mdv2007.1
+ Revision: 116587
- Update to 4.7.1

* Thu Jan 25 2007 Lenny Cartier <lenny@mandriva.com> 4.7.0-2mdv2007.1
+ Revision: 113277
- Fix filelist
- Update to 4.7.0
- Update to 4.6.7

* Tue Dec 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.6.6-2mdv2007.1
+ Revision: 99221
- Rebuild against new python

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 4.6.6

* Tue Oct 03 2006 Michael Scherer <misc@mandriva.org> 4.6.4-1mdv2007.1
+ Revision: 62833
- clean specfiles from comment, and old part of the spec
- fix build on x86_64, with correct macros
- update to 4.6.4
- Import getmail



* Sat Jul 08 2006 Michael Scherer <misc@mandriva.org> 4.6.3-1
- New release 4.6.3

* Tue Jun 13 2006 Lenny Cartier <lenny@mandriva.com> 4.6.2-1mdv2007.0
- 4.6.2

* Thu Jun 01 2006 Lenny Cartier <lenny@mandriva.com> 4.6.1-1mdv2007.0
- 4.6.1

* Thu Apr 13 2006 Lenny Cartier <lenny@mandriva.com> 4.6.0-1mdk
- 4.6.0

* Thu Feb 09 2006 Lenny Cartier <lenny@mandriva.com> 4.5.3-1mdk
- 4.5.3

* Wed Feb 08 2006 Lenny Cartier <lenny@mandriva.com> 4.5.2-1mdk
- 4.5.2

* Thu Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 4.5.0-1mdk
- 4.5.0

* Fri Dec 02 2005 Lenny Cartier <lenny@mandriva.com> 4.4.3-1mdk
- 4.4.3

* Mon Nov 14 2005 Michael Scherer <misc@mandriva.org> 4.4.2-1mdk
- New release 4.4.2

* Fri Nov 11 2005 Michael Scherer <misc@mandriva.org> 4.4.1-1mdk
- New release 4.4.1

* Wed Nov 09 2005 Michael Scherer <misc@mandriva.org> 4.4.0-1mdk
- New release 4.4.0

* Tue Oct 25 2005 Michael Scherer <misc@mandriva.org> 4.3.13-1mdk
- New release 4.3.13
- %%mkrel
- remove -q for %%prep
- fix BuildRequires

* Fri Jun 17 2005 Lenny Cartier <lenny@mandriva.com> 4.3.11-1mdk
- 4.3.11

* Sat May 21 2005 Lenny Cartier <lenny@mandriva.com> 4.3.10-1mdk
- 4.3.10

* Mon Apr 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.5-1mdk
- 4.3.5

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.3-1mdk
- 4.3.3

* Sun Feb 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.2-1mdk
- 4.3.2

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.1-1mdk
- 4.3.1

* Mon Jan 10 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.0-1mdk
- 4.3.0

* Mon Jan 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.2.6-1mdk
- 4.2.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 4.2.4-2mdk
- Rebuild for new python

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.4-1mdk
- 4.2.4

* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.1-1mdk
- 4.2.1

* Tue Sep 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-1mdk
- 4.2.0

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.1.3-1mdk
- 4.1.3

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.12-1mdk
- 4.0.12

* Fri Aug 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.10-1mdk
- 4.0.10

* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.8-1mdk
- 4.0.8

* Thu Aug 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6

* Tue Aug 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.4-1mdk
- 4.0.4

* Mon Jul 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.1-1mdk
- 4.0.1

* Sat Jul 24 2004 Michael Scherer <misc@mandrake.org> 4.0.0-1mdk
- New release 4.0.0
- change url

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.4-1mdk
- 3.2.4

* Tue Mar 23 2004 Michael Scherer <misc@mandrake.org> 3.2.2-1mdk
- 3.2.2
- use /usr/share/getmail/
 
* Mon Jan 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1
- add getmail_mbox in bindir

* Fri Sep 05 2003 Marcel Pol <mpol@gmx.net> 3.1.2-2mdk
- build on python 2.3

* Fri Apr 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1
- add new files

* Fri Feb 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Tue Feb 11 2003  Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.11-1mdk
- 2.3.11
- add manpage

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.3.9-1mdk
- 2.3.9

* Mon Mar 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-1mdk
- 2.3.2

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0

* Sat Jan 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-4mdk
- buildrequires python

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-3mdk
- produce pre-compiled bytecode versions

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-2mdk
- apply fixes from author Charles Cazabon <charlesc@discworld.dyndns.org> :
	- provides COPYING file
	- more doc
	- fix file list ( /usr/lib/getmail/ )

* Sun Dec 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.9-1mdk
- 2.1.9

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5

* Sat Jul 14 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1.1-2mdk
- fixed URL.

* Fri Jul 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- updated to 2.1.1

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.19-1mdk
- updated to 2.0.19

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- updated to 2.0.6

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.11-1mdk
- build for mandrake
